创建对话补全
curl --request POST \
--url https://ai.alad.com/v1/chat/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "qwen2.5-vl-32b-instruct",
"messages": [
{
"role": "user",
"content": [
{
"type": "image_url",
"image_url": {
"url": "https://example.com/image.jpg"
}
},
{
"type": "text",
"text": "请描述这张图片。"
}
]
}
],
"max_tokens": 8192,
"temperature": 1,
"stream": false
}
'import requests
url = "https://ai.alad.com/v1/chat/completions"
payload = {
"model": "qwen2.5-vl-32b-instruct",
"messages": [
{
"role": "user",
"content": [
{
"type": "image_url",
"image_url": { "url": "https://example.com/image.jpg" }
},
{
"type": "text",
"text": "请描述这张图片。"
}
]
}
],
"max_tokens": 8192,
"temperature": 1,
"stream": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'qwen2.5-vl-32b-instruct',
messages: [
{
role: 'user',
content: [
{type: 'image_url', image_url: {url: 'https://example.com/image.jpg'}},
{type: 'text', text: '请描述这张图片。'}
]
}
],
max_tokens: 8192,
temperature: 1,
stream: false
})
};
fetch('https://ai.alad.com/v1/chat/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "chat.completion",
"created": 123,
"model": "<string>",
"choices": [
{
"index": 123,
"message": {
"role": "<string>",
"content": "<string>"
},
"finish_reason": "<string>"
}
],
"usage": {
"prompt_tokens": 123,
"completion_tokens": 123,
"total_tokens": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Alibaba
Qwen2.5-VL-32B-Instruct
根据给定的对话历史(可包含文本和图片)生成模型响应。
POST
/
v1
/
chat
/
completions
创建对话补全
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
模型 ID
可用选项:
qwen2.5-vl-32b-instruct 示例:
"qwen2.5-vl-32b-instruct"
对话消息列表,支持文本和图片内容。
Minimum array length:
1Show child attributes
Show child attributes
示例:
[
{
"role": "user",
"content": [
{
"type": "image_url",
"image_url": { "url": "https://example.com/image.jpg" }
},
{ "type": "text", "text": "请描述这张图片。" }
]
}
]
最大生成 Token 数量。
必填范围:
1 <= x <= 8192采样温度,越高输出越随机。
必填范围:
0 <= x <= 2为 true 时通过 SSE 流式返回增量内容。
⌘I

